Retrieves a specific Method public key by its ID. This endpoint is particularly useful when subscribing to webhook notifications for Method JWK events (method_jwk.create and method_jwk.update), as the webhook payload includes a path field pointing to this endpoint.
This endpoint retrieves Method’s public keys, not your own registered keys. A retrieved key may be an encryption key, used for encrypting your requests, or a signing key, used for verifying Method’s response signatures. To manage your own keys, use the TEAM JWKS API.
When you subscribe to method_jwk.create or method_jwk.update webhook events, the webhook payload will include a path field like /auth/mthd_jwk_12. You can make a GET request to this path to retrieve the updated key information. These events fire for Method’s signing keys as well as its encryption keys.Example webhook event object:
Webhook Processing: Automatically fetch updated key information when receiving method_jwk.create or method_jwk.update webhooks
Key Validation: Verify the current status and details of a specific Method public key
Cache Updates: Refresh your cached Method public keys when notified of changes
Key Rotation Handling: Retrieve new active keys or check the status of deprecated keys
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Method API Docs","colors":{"primary":"#00B29D","light":"#00B29D","dark":"#00B29D"},"logo":{"light":"https://mintcdn.com/methodfinancial/eYCszB8Xv_iFcf77/logo/v2-dark.svg?fit=max\u0026auto=format\u0026n=eYCszB8Xv_iFcf77\u0026q=85\u0026s=c24c340c4c85e87674779b9a8400ecd9","dark":"https://mintcdn.com/methodfinancial/eYCszB8Xv_iFcf77/logo/v2-light.svg?fit=max\u0026auto=format\u0026n=eYCszB8Xv_iFcf77\u0026q=85\u0026s=d08c8b3d37b197cb59f425533db2ecba"},"favicon":"https://mintcdn.com/methodfinancial/zaEy2Zf5mLkHDuX_/icons/opal-fill-logo.png?fit=max\u0026auto=format\u0026n=zaEy2Zf5mLkHDuX_\u0026q=85\u0026s=f9aaa3d67156b0f671c7cb6b1aad1a26","api":{"playground":{"display":"simple"}},"appearance":{"default":"dark"},"background":{"color":{"dark":"#030A26"}},"navbar":{"links":[{"href":"https://methodfi.com/contact-us","label":"Get Started"}],"primary":{"type":"button","label":"Sign In","href":"https://dashboard.methodfi.com/login"}},"footer":{"socials":{"x":"https://twitter.com/methodfinancial","github":"https://github.com/methodfi","linkedin":"https://www.linkedin.com/company/methodfi"}},"search":{"prompt":"✨ Ask Method"},"integrations":{"clearbit":{"publicApiKey":"pk_98f804caad882c280e5682dae1e0c92f"}},"contextual":{"options":["copy","claude","chatgpt","mcp","add-mcp"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"methodfinancial","hasAudioNarration":false,"actualSubdomain":"methodfinancial","customDomains":["docs.methodfi.com"],"gitSource":{"type":"github","owner":"methodfi","repo":"docs","deployBranch":"release","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4be4051b0277868728091","collectionId":"f0879024-dbf8-4343-ab4b-25e5cc506e11","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4be4051b0277868728091"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae4be4051b0277868728091","clientVersion":"0.0.4039","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1019},{"language":"default","tag":"Accounts","count":259},{"language":"default","tag":"Entities","count":203},{"language":"default","tag":"Supporting Endpoints","count":194},{"language":"default","tag":"Errors","count":108},{"language":"default","tag":"Guides","count":81},{"language":"default","tag":"Verification Sessions","count":80},{"language":"default","tag":"Changelog","count":56},{"language":"default","tag":"Payments","count":48},{"language":"default","tag":"Elements","count":41}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","href":"/_mintlify/custom/methodfinancial/e67df13ab53f4c6b/style.css"}],"page":{"pagePath":"2024-04-04/reference/teams/mle/retrieve-method-key","slug":"/2024-04-04/reference/teams/mle/retrieve-method-key","pageMetadata":{"title":"Retrieve Method Public Key","api":"GET /auth/{jwk_id}","description":null,"href":"/2024-04-04/reference/teams/mle/retrieve-method-key"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const ParamList=({items=[],is_child=false})=>{const{Accordion,Expandable,ParamField,ResponseField}=_provideComponents()||{};if(!Accordion)_missingMdxReference(`Accordion`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return items.map(item=>{const field_props={id:Math.random().toString(),body:item.name,name:item.name,type:item.type,required:item.required};const enums=item.enums||[];const items=item.items||[];const has_items=items?.length>0;const has_enums=enums?.length>0;const should_default_open=item.defaultOpen||false;const render_child_item=()=>{const child_props={title:has_enums?`Possible enum values`:`properties`};if(should_default_open)child_props.defaultOpen=true;const has_inline_enums=has_enums\u0026\u0026enums.every(enum_item=>typeof enum_item===`string`)\u0026\u0026enums.map((enum_item,idx)=>{const is_last=idx===enums.length-1;const is_2nd_to_last=idx===enums.length-2;return _jsxs(_Fragment,{children:[_jsx(`code`,{children:enum_item}),is_last\u0026\u0026``,is_2nd_to_last\u0026\u0026` or `,!is_last\u0026\u0026!is_2nd_to_last\u0026\u0026`, `]})});const enum_list=has_enums\u0026\u0026!has_inline_enums\u0026\u0026_jsx(Accordion,{...child_props,children:enums.map((enum_item,index)=>_jsxs(`div`,{children:[_jsx(`code`,{children:enum_item.name}),_jsx(`br`,{}),_jsx(`p`,{children:enum_item.description})]},`enum-${index}`))});const item_list=has_items\u0026\u0026_jsx(Expandable,{...child_props,children:_jsx(ParamList,{items:items||[],is_child:true})});return _jsxs(_Fragment,{children:[_jsxs(`p`,{children:[item.description,has_inline_enums\u0026\u0026[has_inline_enums.length>1?` One of `:` Must be `,...has_inline_enums]]}),enum_list,item_list]})};return is_child?_jsx(ResponseField,{...field_props,children:render_child_item()}):_jsx(ParamField,{...field_props,children:render_child_item()})})};function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Note,_MdxComponentBoundary}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Retrieves a specific Method public key by its ID. This endpoint is particularly useful when subscribing to webhook notifications for Method JWK events (`,_jsx(_components.code,{children:`method_jwk.create`}),` and `,_jsx(_components.code,{children:`method_jwk.update`}),`), as the webhook payload includes a `,_jsx(_components.code,{children:`path`}),` field pointing to this endpoint.`]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint retrieves `,_jsx(_components.strong,{children:`Method’s`}),` public keys, not your own registered keys. A retrieved key may be an encryption key, used for encrypting your requests, or a signing key, used for verifying Method’s response signatures. To manage your own keys, use the `,_jsx(_components.a,{href:`/2024-04-04/reference/teams/mle/overview`,children:`TEAM JWKS API`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(_MdxComponentBoundary,{name:`ParamList`,children:_jsx(ParamList,{items:[{name:`jwk_id`,type:`string`,required:true,description:`The unique identifier of the Method public key (e.g., 'mthd_jwk_12').`}]})}),`\n`,_jsx(Heading,{level:`2`,id:`webhook-integration`,children:`Webhook Integration`}),`\n`,_jsxs(_components.p,{children:[`When you subscribe to `,_jsx(_components.code,{children:`method_jwk.create`}),` or `,_jsx(_components.code,{children:`method_jwk.update`}),` webhook events, the webhook payload will include a `,_jsx(_components.code,{children:`path`}),` field like `,_jsx(_components.code,{children:`/auth/mthd_jwk_12`}),`. You can make a GET request to this path to retrieve the updated key information. These events fire for Method’s signing keys as well as its encryption keys.`]}),`\n`,_jsx(_components.p,{children:`Example webhook event object:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"mthd_jwk_12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"method_jwk.update\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"path\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/auth/mthd_jwk_12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"event\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"evt_knqJgxKUnqDVJ\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`returns`,children:`Returns`}),`\n`,_jsx(_components.p,{children:`Returns the specified Method public key object with its current status and metadata.`}),`\n`,`\n`,`\n`,_jsx(Heading,{level:`2`,id:`use-cases`,children:`Use Cases`}),`\n`,_jsx(_components.p,{children:`This endpoint is commonly used for:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Webhook Processing`}),`: Automatically fetch updated key information when receiving `,_jsx(_components.code,{children:`method_jwk.create`}),` or `,_jsx(_components.code,{children:`method_jwk.update`}),` webhooks`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Key Validation`}),`: Verify the current status and details of a specific Method public key`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Cache Updates`}),`: Refresh your cached Method public keys when notified of changes`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Key Rotation Handling`}),`: Retrieve new active keys or check the status of deprecated keys`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{ParamList,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve Method Public Key","api":"GET /auth/{jwk_id}","description":null,"href":"/2024-04-04/reference/teams/mle/retrieve-method-key"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const ParamList=()=>null;function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Note,RequestExample,ResponseExample,_MdxComponentBoundary}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Retrieves a specific Method public key by its ID. This endpoint is particularly useful when subscribing to webhook notifications for Method JWK events (`,_jsx(_components.code,{children:`method_jwk.create`}),` and `,_jsx(_components.code,{children:`method_jwk.update`}),`), as the webhook payload includes a `,_jsx(_components.code,{children:`path`}),` field pointing to this endpoint.`]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint retrieves `,_jsx(_components.strong,{children:`Method’s`}),` public keys, not your own registered keys. A retrieved key may be an encryption key, used for encrypting your requests, or a signing key, used for verifying Method’s response signatures. To manage your own keys, use the `,_jsx(_components.a,{href:`/2024-04-04/reference/teams/mle/overview`,children:`TEAM JWKS API`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(_MdxComponentBoundary,{name:`ParamList`,children:_jsx(ParamList,{items:[{name:`jwk_id`,type:`string`,required:true,description:`The unique identifier of the Method public key (e.g., 'mthd_jwk_12').`}]})}),`\n`,_jsx(Heading,{level:`2`,id:`webhook-integration`,children:`Webhook Integration`}),`\n`,_jsxs(_components.p,{children:[`When you subscribe to `,_jsx(_components.code,{children:`method_jwk.create`}),` or `,_jsx(_components.code,{children:`method_jwk.update`}),` webhook events, the webhook payload will include a `,_jsx(_components.code,{children:`path`}),` field like `,_jsx(_components.code,{children:`/auth/mthd_jwk_12`}),`. You can make a GET request to this path to retrieve the updated key information. These events fire for Method’s signing keys as well as its encryption keys.`]}),`\n`,_jsx(_components.p,{children:`Example webhook event object:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"mthd_jwk_12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"method_jwk.update\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"path\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/auth/mthd_jwk_12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"event\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"evt_knqJgxKUnqDVJ\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`returns`,children:`Returns`}),`\n`,_jsx(_components.p,{children:`Returns the specified Method public key object with its current status and metadata.`}),`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`1`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://production.methodfi.com/auth/mthd_jwk_12`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Node.js`,numberOfLines:`3`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://production.methodfi.com/auth/mthd_jwk_12'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` result`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`5`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`5`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.get(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://production.methodfi.com/auth/mthd_jwk_12'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`result `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.json()`})]}),`\n`]})})})]}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"mthd_jwk_12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"kid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"mthd_jwk_12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"kty\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"RSA\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"alg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"RSA-OAEP-256\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"use\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"enc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"n\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s3C9N7Vz...J7c\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"AQAB\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"iat\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1780309800`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"nbf\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1780309800`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"exp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1811845800`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-06-01T10:30:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-06-01T10:30:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`2`,id:`use-cases`,children:`Use Cases`}),`\n`,_jsx(_components.p,{children:`This endpoint is commonly used for:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Webhook Processing`}),`: Automatically fetch updated key information when receiving `,_jsx(_components.code,{children:`method_jwk.create`}),` or `,_jsx(_components.code,{children:`method_jwk.update`}),` webhooks`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Key Validation`}),`: Verify the current status and details of a specific Method public key`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Cache Updates`}),`: Refresh your cached Method public keys when notified of changes`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Key Rotation Handling`}),`: Retrieve new active keys or check the status of deprecated keys`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{ParamList,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve Method Public Key","api":"GET /auth/{jwk_id}","description":null,"href":"/2024-04-04/reference/teams/mle/retrieve-method-key"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Path Parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Webhook Integration","slug":"webhook-integration","depth":2,"children":[]},{"title":"Returns","slug":"returns","depth":2,"children":[]},{"title":"Use Cases","slug":"use-cases","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"1\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://production.methodfi.com/auth/mthd_jwk_12\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Node.js","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> response\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> fetch\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'https://production.methodfi.com/auth/mthd_jwk_12'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> result\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> response\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">json\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">();\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Python","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"5\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">response \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests.get(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'https://production.methodfi.com/auth/mthd_jwk_12'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">result \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> response.json()\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"19\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"mthd_jwk_12\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"kid\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"mthd_jwk_12\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"kty\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"RSA\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"alg\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"RSA-OAEP-256\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"use\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"enc\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"n\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"s3C9N7Vz...J7c\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"e\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"AQAB\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"active\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"iat\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1780309800\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"nbf\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1780309800\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"exp\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1811845800\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-06-01T10:30:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-06-01T10:30:00Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Retrieve Method Public Key","path":"/auth/{jwk_id}","method":"get","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{}},"response":{},"deprecated":false}},"jsLinks":["/_mintlify/custom/methodfinancial/e3b0c44298fc1c14/script.js"],"subdomain":"methodfinancial","siteName":"Method API Docs","title":"Retrieve Method Public Key - Method API Docs","navMaps":{"firstHrefInVersion":{"2026-03-30":{"href":"/2026-03-30/reference/teams/mle/retrieve-method-key","matchLevel":1},"2025-12-01":{"href":"/2025-12-01/reference/teams/mle/retrieve-method-key","matchLevel":1},"2025-07-04":{"href":"/2025-07-04/reference/teams/mle/retrieve-method-key","matchLevel":1},"2024-04-04":{"href":"/2024-04-04/reference/teams/mle/retrieve-method-key","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-10-30T15:57:29.598Z","originalFileLocation":"2024-04-04/reference/teams/mle/retrieve-method-key.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Method API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve Method Public Key - Method API Docs\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Method API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://methodfinancial.mintlify.app/_mintlify/api/og/v2?division=Method+JWKS\u0026amp;title=Retrieve+Method+Public+Key\u0026amp;theme=530bf930f49fa201535c680b\u0026amp;signature=21ebc30519f9d80c5a687c03696ff740ca713b317f5eb7fc16a3319f6fd4f8fe\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve Method Public Key - Method API Docs\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://methodfinancial.mintlify.app/_mintlify/api/og/v2?division=Method+JWKS\u0026amp;title=Retrieve+Method+Public+Key\u0026amp;theme=530bf930f49fa201535c680b\u0026amp;signature=21ebc30519f9d80c5a687c03696ff740ca713b317f5eb7fc16a3319f6fd4f8fe\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Method API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00B29D\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/2024-04-04/reference/teams/mle/retrieve-method-key.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.methodfi.com/#organization\",\"name\":\"Method API Docs\",\"url\":\"https://docs.methodfi.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/methodfinancial/eYCszB8Xv_iFcf77/logo/v2-dark.svg?fit=max\u0026auto=format\u0026n=eYCszB8Xv_iFcf77\u0026q=85\u0026s=c24c340c4c85e87674779b9a8400ecd9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.methodfi.com#website\",\"name\":\"Method API Docs\",\"url\":\"https://docs.methodfi.com\",\"publisher\":{\"@id\":\"https://docs.methodfi.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key#webpage\",\"url\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key\",\"name\":\"Retrieve Method Public Key\",\"dateModified\":\"2026-10-30T15:57:29.598Z\",\"isPartOf\":{\"@id\":\"https://docs.methodfi.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Supporting Endpoints\",\"item\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/method-jwks\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"MLE\",\"item\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/method-jwks\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Method JWKS\",\"item\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/method-jwks\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Retrieve Method Public Key\",\"item\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key#apireference\",\"headline\":\"Retrieve Method Public Key\",\"name\":\"Retrieve Method Public Key\",\"url\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key\",\"mainEntityOfPage\":{\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/retrieve-method-key#webpage\"},\"dateModified\":\"2026-10-30T15:57:29.598Z\",\"publisher\":{\"@id\":\"https://docs.methodfi.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.methodfi.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Method API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Method API Docs","nav":{"global":null,"versions":[{"version":"2026-03-30","tag":"Latest","pages":[{"title":"2026-03-30","href":"/2026-03-30/reference/teams/mle/retrieve-method-key"}]},{"version":"2025-12-01","pages":[{"title":"2025-12-01","href":"/2025-12-01/reference/teams/mle/retrieve-method-key"}]},{"version":"2025-07-04","pages":[{"title":"2025-07-04","href":"/2025-07-04/reference/teams/mle/retrieve-method-key"}]},{"version":"2024-04-04","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/overview"}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"Introduction","href":"/2024-04-04/reference/introduction"},{"title":"Authentication","href":"/2024-04-04/reference/authentication"},{"title":"Environments","href":"/2024-04-04/reference/environments"},{"title":"Idempotency","href":"/2024-04-04/reference/idempotency"},{"title":"Rate Limiting","href":"/2024-04-04/reference/rate-limiting"},{"title":"Message-Level-Encryption (MLE)","href":"/2024-04-04/reference/message-level-encryption"},{"title":"Mutual TLS (mTLS)","href":"/2024-04-04/reference/mtls"},{"title":"Expanding Resources","href":"/2024-04-04/reference/expanding"},{"title":"Request IDs","href":"/2024-04-04/reference/request-id"},{"title":"Versioning","href":"/2024-04-04/reference/versioning"},{"title":"Pagination","href":"/2024-04-04/reference/pagination"},{"title":"Metadata","href":"/2024-04-04/reference/metadata"},{"group":"Errors","pages":[{"title":"Request Errors","href":"/2024-04-04/reference/errors/request-errors"},{"title":"Resource Errors","href":"/2024-04-04/reference/errors/resource-errors"},{"title":"mTLS Errors","href":"/2024-04-04/reference/errors/mtls-errors"},{"group":"Entities","pages":[{"title":"Entity Errors","href":"/2024-04-04/reference/errors/entity-errors"},{"title":"Entity Verification Session Errors","href":"/2024-04-04/reference/errors/entity-verification-session-errors"},{"title":"Identity Errors","href":"/2024-04-04/reference/errors/identity-errors"},{"title":"Connect Errors","href":"/2024-04-04/reference/errors/connect-errors"},{"title":"Credit Score Errors","href":"/2024-04-04/reference/errors/credit-score-errors"},{"title":"Vehicle Errors","href":"/2024-04-04/reference/errors/vehicle-errors"},{"title":"Entity Attribute Errors","href":"/2024-04-04/reference/errors/entity-attribute-errors"}]},{"group":"Accounts","pages":[{"title":"Account Errors","href":"/2024-04-04/reference/errors/account-errors"},{"title":"Account Verification Session Errors","href":"/2024-04-04/reference/errors/account-verification-session-errors"},{"title":"Balance Errors","href":"/2024-04-04/reference/errors/balance-errors"},{"title":"Card Brand Errors","href":"/2024-04-04/reference/errors/card-brand-errors"},{"title":"Update Errors","href":"/2024-04-04/reference/errors/update-errors"},{"title":"Payoff Errors","href":"/2024-04-04/reference/errors/payoff-errors"},{"title":"Sensitive Errors","href":"/2024-04-04/reference/errors/sensitive-errors"},{"title":"Account Attribute Errors","href":"/2024-04-04/reference/errors/account-attribute-errors"},{"title":"Payment Instrument Errors","href":"/2024-04-04/reference/errors/payment-instrument-errors"}]},{"group":"Payments","pages":[{"title":"Payment Errors","href":"/2024-04-04/reference/errors/payment-errors"},{"title":"Payment Reversal Errors","href":"/2024-04-04/reference/errors/payment-reversal-errors"}]},{"title":"Product Errors","href":"/2024-04-04/reference/errors/product-errors"},{"title":"Subscription Errors","href":"/2024-04-04/reference/errors/subscription-errors"},{"title":"Webhook Errors","href":"/2024-04-04/reference/errors/webhook-errors"},{"title":"File Errors","href":"/2024-04-04/reference/errors/file-errors"},{"title":"Simulation Errors","href":"/2024-04-04/reference/errors/simulate-errors"},{"title":"Forwarding Request Errors","href":"/2024-04-04/reference/errors/forwarding-request-errors"}]}]},{"group":"Entities","pages":[{"title":"The entity endpoint","sidebarTitle":"The entity endpoint","href":"/2024-04-04/reference/entities/overview"},{"title":"Create an Individual","api":"POST /entities","href":"/2024-04-04/reference/entities/create-individual"},{"title":"Create a Corporation","api":"POST /entities","href":"/2024-04-04/reference/entities/create-corporation"},{"title":"Update an Entity","api":"PUT /entities/{ent_id}","href":"/2024-04-04/reference/entities/update-entity"},{"title":"Retrieve an Entity","api":"GET /entities/{ent_id}","href":"/2024-04-04/reference/entities/retrieve-entity"},{"title":"List all Entities","api":"GET /entities","href":"/2024-04-04/reference/entities/list-entities"},{"group":"Verification Sessions","pages":[{"title":"The entity verification sessions endpoint","sidebarTitle":"The entity verification sessions endpoint","href":"/2024-04-04/reference/entities/verification-sessions/overview"},{"title":"Retrieve a Verification Session","api":"GET /entities/{ent_id}/verification_sessions/{evf_id}","href":"/2024-04-04/reference/entities/verification-sessions/retrieve"},{"title":"List all Verification Sessions","api":"GET /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/list"},{"group":"Identity Verification","pages":[{"title":"Create a BYO KYC Verification","api":"POST /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/create-byo-kyc"}]},{"group":"Phone Verification","pages":[{"title":"Create a BYO SMS Verification","api":"POST /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/create-byo-sms"},{"title":"Create an SMS Verification","api":"POST /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/create-sms"},{"title":"Update an SMS Verification","api":"PUT /entities/{ent_id}/verification_sessions/{evf_id}","href":"/2024-04-04/reference/entities/verification-sessions/update-sms"},{"title":"Create an SNA Verification","api":"POST /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/create-sna"},{"title":"Update an SNA Verification","api":"PUT /entities/{ent_id}/verification_sessions/{evf_id}","href":"/2024-04-04/reference/entities/verification-sessions/update-sna"}]}]},{"group":"Connect","pages":[{"title":"The connect endpoint","sidebarTitle":"The connect endpoint","href":"/2024-04-04/reference/entities/connect/overview"},{"title":"Create a Connect","api":"POST /entities/{ent_id}/connect","href":"/2024-04-04/reference/entities/connect/create"},{"title":"Retrieve a Connect","api":"GET /entities/{ent_id}/connect/{cxn_id}","href":"/2024-04-04/reference/entities/connect/retrieve"},{"title":"List all Connects","api":"GET /entities/{ent_id}/connect","href":"/2024-04-04/reference/entities/connect/list"}]},{"group":"Credit Scores","pages":[{"title":"The credit score endpoint","sidebarTitle":"The credit score endpoint","href":"/2024-04-04/reference/entities/credit-scores/overview"},{"title":"Create Individual Credit Scores","api":"POST /entities/{ent_id}/credit_scores","href":"/2024-04-04/reference/entities/credit-scores/create"},{"title":"Retrieve Individual Credit Scores","api":"GET /entities/{ent_id}/credit_scores/{crs_id}","href":"/2024-04-04/reference/entities/credit-scores/retrieve"},{"title":"List all Credit Scores","api":"GET /entities/{ent_id}/credit_scores","href":"/2024-04-04/reference/entities/credit-scores/list"}]},{"group":"Attributes","pages":[{"title":"The entity attributes endpoint","sidebarTitle":"The entity attributes endpoint","href":"/2024-04-04/reference/entities/attributes/overview"},{"title":"Create Attributes","api":"POST /entities/{ent_id}/attributes","href":"/2024-04-04/reference/entities/attributes/create"},{"title":"Retrieve Attributes","api":"GET /entities/{ent_id}/attributes/{attr_id}","href":"/2024-04-04/reference/entities/attributes/retrieve"},{"title":"List all Attributes","api":"GET /entities/{ent_id}/attributes","href":"/2024-04-04/reference/entities/attributes/list"}]},{"group":"Vehicles","pages":[{"title":"The vehicles endpoint","sidebarTitle":"The vehicles endpoint","href":"/2024-04-04/reference/entities/vehicles/overview"},{"title":"Create Vehicles","api":"POST /entities/{ent_id}/vehicles","href":"/2024-04-04/reference/entities/vehicles/create"},{"title":"Retrieve Vehicles","api":"GET /entities/{ent_id}/vehicles/{evhl_id}","href":"/2024-04-04/reference/entities/vehicles/retrieve"},{"title":"List all Vehicles","api":"GET /entities/{ent_id}/vehicles","href":"/2024-04-04/reference/entities/vehicles/list"}]},{"group":"Identities","pages":[{"title":"The identities endpoint","sidebarTitle":"The identities endpoint","href":"/2024-04-04/reference/entities/identities/overview"},{"title":"Create Identities","api":"POST /entities/{ent_id}/identities","href":"/2024-04-04/reference/entities/identities/create"},{"title":"Retrieve Identities","api":"GET /entities/{ent_id}/identities/{idn_id}","href":"/2024-04-04/reference/entities/identities/retrieve"},{"title":"List all Identities","api":"GET /entities/{ent_id}/identities","href":"/2024-04-04/reference/entities/identities/list"}]},{"group":"Products","pages":[{"title":"The products endpoint","sidebarTitle":"The products endpoint","href":"/2024-04-04/reference/entities/products/overview"},{"title":"List all Products","api":"GET /entities/{ent_id}/products","href":"/2024-04-04/reference/entities/products/list"}]},{"group":"Subscriptions","pages":[{"title":"The subscriptions endpoint","sidebarTitle":"The subscriptions endpoint","href":"/2024-04-04/reference/entities/subscriptions/overview"},{"title":"Create a Subscription","api":"POST /entities/{ent_id}/subscriptions","href":"/2024-04-04/reference/entities/subscriptions/create"},{"title":"Retrieve a Subscription","api":"GET /entities/{ent_id}/subscriptions/{sub_id}","href":"/2024-04-04/reference/entities/subscriptions/retrieve"},{"title":"List all Subscriptions","api":"GET /entities/{ent_id}/subscriptions","href":"/2024-04-04/reference/entities/subscriptions/list"},{"title":"Delete a Subscription","api":"DELETE /entities/{ent_id}/subscriptions/{sub_id}","href":"/2024-04-04/reference/entities/subscriptions/delete"}]},{"group":"Consent","pages":[{"title":"Update an Entity's Consent","api":"POST /entities/{ent_id}/consent","href":"/2024-04-04/reference/entities/consent/withdraw"}]}]},{"group":"Accounts","pages":[{"title":"The account endpoint","sidebarTitle":"The account endpoint","href":"/2024-04-04/reference/accounts/overview"},{"title":"Create an Account","api":"POST /accounts","href":"/2024-04-04/reference/accounts/create"},{"title":"Retrieve an Account","api":"GET /accounts/{acc_id}","href":"/2024-04-04/reference/accounts/retrieve"},{"title":"List all Accounts","api":"GET /accounts","href":"/2024-04-04/reference/accounts/list"},{"group":"Updates","pages":[{"title":"The updates endpoint","sidebarTitle":"The updates endpoint","href":"/2024-04-04/reference/accounts/updates/overview"},{"title":"Create an Update","api":"POST /accounts/{acc_id}/updates","href":"/2024-04-04/reference/accounts/updates/create"},{"title":"Retrieve an Update","api":"GET /accounts/{acc_id}/updates/{upt_id}","href":"/2024-04-04/reference/accounts/updates/retrieve"},{"title":"List all Updates","api":"GET /accounts/{acc_id}/updates","href":"/2024-04-04/reference/accounts/updates/list"}]},{"group":"Transactions","pages":[{"title":"The transactions endpoint","sidebarTitle":"The transactions endpoint","href":"/2024-04-04/reference/accounts/transactions/overview"},{"title":"Retrieve a Transaction","api":"GET /accounts/{acc_id}/transactions/{txn_id}","href":"/2024-04-04/reference/accounts/transactions/retrieve"},{"title":"List all Transactions","api":"GET /accounts/{acc_id}/transactions","href":"/2024-04-04/reference/accounts/transactions/list"}]},{"group":"Attributes","pages":[{"title":"The account attributes endpoint","sidebarTitle":"The account attributes endpoint","href":"/2024-04-04/reference/accounts/attributes/overview"},{"title":"Create Attributes","api":"POST /accounts/{acc_id}/attributes","href":"/2024-04-04/reference/accounts/attributes/create"},{"title":"Retrieve Attributes","api":"GET /accounts/{acc_id}/attributes/{acc_attr_id}","href":"/2024-04-04/reference/accounts/attributes/retrieve"},{"title":"List all Attributes","api":"GET /accounts/{acc_id}/attributes","href":"/2024-04-04/reference/accounts/attributes/list"}]},{"group":"Payoffs","pages":[{"title":"The payoffs endpoint","sidebarTitle":"The payoffs endpoint","href":"/2024-04-04/reference/accounts/payoffs/overview"},{"title":"Create a Payoff","api":"POST /accounts/{acc_id}/payoffs","href":"/2024-04-04/reference/accounts/payoffs/create"},{"title":"Retrieve a Payoff","api":"GET /accounts/{acc_id}/payoffs/{pyf_id}","href":"/2024-04-04/reference/accounts/payoffs/retrieve"},{"title":"List all Payoffs","api":"GET /accounts/{acc_id}/payoffs","href":"/2024-04-04/reference/accounts/payoffs/list"}]},{"group":"Balances","pages":[{"title":"The balances endpoint","sidebarTitle":"The balances endpoint","href":"/2024-04-04/reference/accounts/balances/overview"},{"title":"Create a Balance","api":"POST /accounts/{acc_id}/balances","href":"/2024-04-04/reference/accounts/balances/create"},{"title":"Retrieve a Balance","api":"GET /accounts/{acc_id}/balances/{bal_id}","href":"/2024-04-04/reference/accounts/balances/retrieve"},{"title":"List all Balances","api":"GET /accounts/{acc_id}/balances","href":"/2024-04-04/reference/accounts/balances/list"}]},{"group":"Sensitive","pages":[{"title":"The sensitive endpoint","sidebarTitle":"The sensitive endpoint","href":"/2024-04-04/reference/accounts/sensitive/overview"},{"title":"Create a Sensitive","api":"POST /accounts/{acc_id}/sensitive","href":"/2024-04-04/reference/accounts/sensitive/create"},{"title":"Retrieve a Sensitive","api":"GET /accounts/{acc_id}/sensitive/{astv_id}","href":"/2024-04-04/reference/accounts/sensitive/retrieve"},{"title":"List all Sensitives","api":"GET /accounts/{acc_id}/sensitive","href":"/2024-04-04/reference/accounts/sensitive/list"}]},{"group":"Payment Instruments","pages":[{"title":"The payment instrument endpoint","sidebarTitle":"The payment instrument endpoint","href":"/2024-04-04/reference/accounts/payment-instruments/overview"},{"title":"Create Payment Instruments","api":"POST /accounts/{acc_id}/payment_instruments","href":"/2024-04-04/reference/accounts/payment-instruments/create"},{"title":"Retrieve Payment Instrument","api":"GET /accounts/{acc_id}/payment_instruments/{pmt_inst_id}","href":"/2024-04-04/reference/accounts/payment-instruments/retrieve"},{"title":"List Payment Instruments","api":"GET /accounts/{acc_id}/payment_instruments","href":"/2024-04-04/reference/accounts/payment-instruments/list"}]},{"group":"Products","pages":[{"title":"The products endpoint","sidebarTitle":"The products endpoint","href":"/2024-04-04/reference/accounts/products/overview"},{"title":"List all Products","api":"GET /accounts/{acc_id}/products","href":"/2024-04-04/reference/accounts/products/list"}]},{"group":"Subscriptions","pages":[{"title":"The subscriptions endpoint","sidebarTitle":"The subscriptions endpoint","href":"/2024-04-04/reference/accounts/subscriptions/overview"},{"title":"Create a Subscription","api":"POST /accounts/{acc_id}/subscriptions","href":"/2024-04-04/reference/accounts/subscriptions/create"},{"title":"Retrieve a Subscription","api":"GET /accounts/{acc_id}/subscriptions/{sub_id}","href":"/2024-04-04/reference/accounts/subscriptions/retrieve"},{"title":"List all Subscriptions","api":"GET /accounts/{acc_id}/subscriptions","href":"/2024-04-04/reference/accounts/subscriptions/list"},{"title":"Delete a Subscription","api":"DELETE /accounts/{acc_id}/subscriptions/{sub_id}","href":"/2024-04-04/reference/accounts/subscriptions/delete"}]},{"group":"Managed Accounts","pages":[{"title":"The managed accounts endpoint","sidebarTitle":"The managed accounts endpoint","href":"/2024-04-04/reference/managed-accounts/overview"},{"title":"List all Managed Accounts","api":"GET /managed_accounts","href":"/2024-04-04/reference/managed-accounts/list"},{"title":"Retrieve a Managed Account","api":"GET /managed_accounts/{macc_id}","href":"/2024-04-04/reference/managed-accounts/retrieve"},{"title":"List Managed Account Transactions","api":"GET /managed_accounts/{macc_id}/transactions","href":"/2024-04-04/reference/managed-accounts/list-transactions"}]},{"group":"Verification Sessions","pages":[{"title":"The account verification sessions endpoint","sidebarTitle":"The account verification sessions endpoint","href":"/2024-04-04/reference/accounts/verification-sessions/overview"},{"title":"Create a Verification","api":"POST /accounts/{acc_id}/verification_sessions","href":"/2024-04-04/reference/accounts/verification-sessions/create"},{"title":"Retrieve a Verification","api":"GET /accounts/{acc_id}/verification_sessions/{avf_id}","href":"/2024-04-04/reference/accounts/verification-sessions/retrieve"},{"title":"List all Verifications","api":"GET /accounts/{acc_id}/verification_sessions","href":"/2024-04-04/reference/accounts/verification-sessions/list"},{"group":"ACH Verification","pages":[{"title":"Update a Micro-deposits Verification","api":"PUT /accounts/{acc_id}/verification_sessions/{avf_id}","href":"/2024-04-04/reference/accounts/verification-sessions/update-microdeposits"},{"title":"Update a Plaid Verification","api":"PUT /accounts/{acc_id}/verification_sessions/{avf_id}","href":"/2024-04-04/reference/accounts/verification-sessions/update-plaid"},{"title":"Update an MX Verification","api":"PUT /accounts/{acc_id}/verification_sessions/{avf_id}","href":"/2024-04-04/reference/accounts/verification-sessions/update-mx"},{"title":"Update a Teller Verification","api":"PUT /accounts/{acc_id}/verification_sessions/{avf_id}","href":"/2024-04-04/reference/accounts/verification-sessions/update-teller"}]},{"group":"Credit Card Verification","pages":[{"title":"Update a Standard Verification","api":"PUT /accounts/{acc_id}/verification_sessions/{avf_id}","href":"/2024-04-04/reference/accounts/verification-sessions/update-standard"},{"title":"Update a Pre-auth Verification","api":"PUT /accounts/{acc_id}/verification_sessions/{avf_id}","href":"/2024-04-04/reference/accounts/verification-sessions/update-preauth"},{"title":"Update a Network Verification","api":"PUT /accounts/{acc_id}/verification_sessions/{avf_id}","href":"/2024-04-04/reference/accounts/verification-sessions/update-network"}]}]},{"group":"Consent","pages":[{"title":"Withdraw an Account's Consent","api":"POST /accounts/{acc_id}/consent","href":"/2024-04-04/reference/accounts/consent/withdraw"}]}]},{"group":"Wallet","pages":[{"group":"Card Brand","pages":[{"title":"The card brand endpoint","sidebarTitle":"The card brand endpoint","href":"/2024-04-04/reference/accounts/card-brands/overview"},{"title":"Create a Card Brand","api":"POST /accounts/{acc_id}/card_brands","href":"/2024-04-04/reference/accounts/card-brands/create"},{"title":"Retrieve a Card Brand","api":"GET /accounts/{acc_id}/card_brands/{cbrd_id}","href":"/2024-04-04/reference/accounts/card-brands/retrieve"},{"title":"List all Card Brands","api":"GET /accounts/{acc_id}/card_brands","href":"/2024-04-04/reference/accounts/card-brands/list"}]}]},{"group":"Payments","pages":[{"title":"The payment endpoint","sidebarTitle":"The payment endpoint","href":"/2024-04-04/reference/payments/overview"},{"title":"Create a Payment","api":"POST /payments","href":"/2024-04-04/reference/payments/create"},{"title":"Retrieve a Payment","api":"GET /payments/{pmt_id}","href":"/2024-04-04/reference/payments/retrieve"},{"title":"List all Payments","api":"GET /payments","href":"/2024-04-04/reference/payments/list"},{"title":"Delete a Payment","api":"DELETE /payments/{pmt_id}","href":"/2024-04-04/reference/payments/delete"},{"group":"Reversals","pages":[{"title":"The reversal endpoint","sidebarTitle":"The reversal endpoint","href":"/2024-04-04/reference/payments/reversals/overview"},{"title":"Retrieve a Reversal","api":"GET /payments/{pmt_id}/reversals/{rvs_id}","href":"/2024-04-04/reference/payments/reversals/retrieve"},{"title":"List all Reversals","api":"GET /payments/{pmt_id}/reversals","href":"/2024-04-04/reference/payments/reversals/list"}]}]},{"group":"Files","pages":[{"title":"The file endpoint","sidebarTitle":"The file endpoint","href":"/2024-04-04/reference/files/overview"},{"title":"Retrieve a File","api":"GET /files/{file_id}","href":"/2024-04-04/reference/files/retrieve"},{"title":"Download a File","api":"GET /files/{file_id}/download","href":"/2024-04-04/reference/files/download"}]},{"group":"Opal","pages":[{"title":"The Opal endpoint","sidebarTitle":"The opal endpoint","href":"/2024-04-04/reference/opal/overview"},{"title":"Create Token","api":"POST /opal/token","href":"/2024-04-04/reference/opal/create_token"},{"title":"Retrieve Session","api":"GET /opal/sessions/{session_id}","href":"/2024-04-04/reference/opal/retrieve_session"},{"title":"Release Payments","api":"POST /opal/sessions/{session_id}","href":"/2024-04-04/reference/opal/release_payments"},{"title":"List Opal Events","api":"GET /opal/events","href":"/2024-04-04/reference/opal/list_events"}]},{"group":"Elements","pages":[{"title":"The element endpoint","sidebarTitle":"The element endpoint","href":"/2024-04-04/reference/elements/overview"},{"title":"Create an Element Token","api":"POST /elements/token","href":"/2024-04-04/reference/elements/tokens"},{"title":"Retrieve Element Results","api":"GET /elements/token/{pk_elem_id}/results","href":"/2024-04-04/reference/elements/results"},{"group":"Sessions","pages":[{"title":"The sessions endpoint","sidebarTitle":"The sessions endpoint","href":"/2024-04-04/reference/elements/sessions/overview"},{"title":"Get Session","api":"GET /elements/sessions/{session_id}","href":"/2024-04-04/reference/elements/sessions/get-session"},{"title":"Create or Update Session","api":"POST /elements/token","href":"/2024-04-04/reference/elements/sessions/create-or-update-session"},{"group":"Balance Transfer","pages":[{"title":"Release Funds","api":"PUT /elements/sessions/{session_id}","href":"/2024-04-04/reference/elements/sessions/release-funds"}]}]}]},{"group":"Events","pages":[{"title":"The event endpoint","sidebarTitle":"The event endpoint","href":"/2024-04-04/reference/events/overview"},{"title":"Retrieve an Event","api":"GET /events/{evt_id}","href":"/2024-04-04/reference/events/retrieve"},{"title":"List all Events","api":"GET /events","href":"/2024-04-04/reference/events/list"}]},{"group":"Supporting Endpoints","pages":[{"group":"MLE","pages":[{"group":"Method JWKS","pages":[{"title":"Get Method JWKS","api":"GET /.well-known/jwks.json","description":null,"href":"/2024-04-04/reference/teams/mle/method-jwks"},{"title":"Retrieve Method Public Key","api":"GET /auth/{jwk_id}","href":"/2024-04-04/reference/teams/mle/retrieve-method-key"}]},{"group":"Team JWKS","pages":[{"title":"MLE Public Keys Overview","description":"Manage your public keys for Message Level Encryption","href":"/2024-04-04/reference/teams/mle/overview"},{"title":"Create MLE Public Key","api":"POST /teams/mle/public_keys","href":"/2024-04-04/reference/teams/mle/create"},{"title":"List MLE Public Keys","api":"GET /teams/mle/public_keys","href":"/2024-04-04/reference/teams/mle/list"},{"title":"Retrieve MLE Public Key","api":"GET /teams/mle/public_keys/{id}","href":"/2024-04-04/reference/teams/mle/retrieve"},{"title":"Delete MLE Public Key","api":"DELETE /teams/mle/public_keys/{id}","href":"/2024-04-04/reference/teams/mle/delete"}]}]},{"group":"Merchants","pages":[{"title":"The merchant endpoint","sidebarTitle":"The merchant endpoint","href":"/2024-04-04/reference/merchants/overview"},{"title":"Retrieve a Merchant","api":"GET /merchants/{mch_id}","href":"/2024-04-04/reference/merchants/retrieve"},{"title":"List all Merchants","api":"GET /merchants","href":"/2024-04-04/reference/merchants/list"}]},{"group":"Card Products","pages":[{"title":"The card product endpoint","sidebarTitle":"The card product endpoint","href":"/2024-04-04/reference/card-products/overview"},{"title":"Retrieve a CardProduct","api":"GET /card_products/{pdt_id}","href":"/2024-04-04/reference/card-products/retrieve"}]},{"group":"Webhooks","pages":[{"title":"The webhook endpoint","sidebarTitle":"The webhook endpoint","href":"/2024-04-04/reference/webhooks/overview"},{"title":"IP Whitelisting","href":"/2024-04-04/reference/ip-whitelisting"},{"title":"Create a Webhook","api":"POST /webhooks","href":"/2024-04-04/reference/webhooks/create"},{"title":"Retrieve a Webhook","api":"GET /webhooks/{whk_id}","href":"/2024-04-04/reference/webhooks/retrieve"},{"title":"List all Webhooks","api":"GET /webhooks","href":"/2024-04-04/reference/webhooks/list"},{"title":"Update a Webhook status","api":"PATCH /webhooks/{whk_id}","href":"/2024-04-04/reference/webhooks/update"},{"title":"Delete a Webhook","api":"DELETE /webhooks/{whk_id}","href":"/2024-04-04/reference/webhooks/delete"}]},{"group":"Reports","pages":[{"title":"The report endpoint","sidebarTitle":"The report endpoint","href":"/2024-04-04/reference/reports/overview"},{"title":"Create a Report","api":"POST /reports","href":"/2024-04-04/reference/reports/create"},{"title":"Retrieve a Report","api":"GET /reports/{rpt_id}","href":"/2024-04-04/reference/reports/retrieve"},{"title":"List all Reports","api":"GET /reports","href":"/2024-04-04/reference/reports/list"},{"title":"Download a Report","api":"GET /reports/{rpt_id}/download","href":"/2024-04-04/reference/reports/download"}]},{"group":"Report Schedules","pages":[{"title":"The report schedules endpoint","sidebarTitle":"The report schedules endpoint","href":"/2024-04-04/reference/report-schedules/overview"},{"title":"Create a Report Schedule","api":"POST /report_schedules","href":"/2024-04-04/reference/report-schedules/create"},{"title":"Retrieve a Report Schedule","api":"GET /report_schedules/{schedule_id}","href":"/2024-04-04/reference/report-schedules/retrieve"},{"title":"List all Report Schedules","api":"GET /report_schedules","href":"/2024-04-04/reference/report-schedules/list"},{"title":"Update a Report Schedule","api":"PUT /report_schedules/{schedule_id}","href":"/2024-04-04/reference/report-schedules/update"},{"title":"Delete a Report Schedule","api":"DELETE /report_schedules/{schedule_id}","href":"/2024-04-04/reference/report-schedules/delete"}]},{"group":"Simulations (Dev)","pages":[{"title":"The simulate endpoint","sidebarTitle":"The simulate endpoint","href":"/2024-04-04/reference/simulations/overview"},{"title":"Update a Payment's Status","api":"POST https://dev.methodfi.com/simulate/payments/{pmt_id}","href":"/2024-04-04/reference/simulations/payments/update"},{"title":"Create a Transaction","api":"POST https://dev.methodfi.com/simulate/accounts/{acc_id}/transactions","href":"/2024-04-04/reference/simulations/transactions/create"},{"title":"Simulate an Event","api":"POST https://dev.methodfi.com/simulate/events","href":"/2024-04-04/reference/simulations/events/create"},{"title":"Create a Custom Credit Score","api":"POST https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id}","href":"/2024-04-04/reference/simulations/credit-scores/create"},{"title":"Queue Attribute Behaviors","api":"POST https://dev.methodfi.com/simulate/entities/{entity_id}/attributes","href":"/2024-04-04/reference/simulations/attributes/create"},{"title":"Retrieve Micro-deposit Amounts","api":"GET https://dev.methodfi.com/simulate/accounts/{acc_id}/verification_sessions/{avf_id}/amounts","href":"/2024-04-04/reference/simulations/verification-sessions/get-microdeposit-amounts"},{"title":"Queue Connect Behaviors","api":"POST https://dev.methodfi.com/simulate/entities/{entity_id}/connect","href":"/2024-04-04/reference/simulations/connect/create"},{"title":"Create a Card Brand","api":"POST https://dev.methodfi.com/simulate/accounts/{acc_id}/card_brands","href":"/2024-04-04/reference/simulations/card-brands/create"}]},{"group":"Secrets","pages":[{"title":"The Secrets endpoint","sidebarTitle":"The Secrets endpoint","href":"/2024-04-04/reference/secrets/overview"},{"title":"Create a Secret","api":"POST /secrets","href":"/2024-04-04/reference/secrets/create"},{"title":"Retrieve a Secret","api":"GET /secrets/{sec_id}","href":"/2024-04-04/reference/secrets/retrieve"},{"title":"List all Secrets","api":"GET /secrets","href":"/2024-04-04/reference/secrets/list"},{"title":"Delete a Secret","api":"DELETE /secrets/{sec_id}","href":"/2024-04-04/reference/secrets/delete"}]},{"group":"Forwarding Requests","pages":[{"title":"The Forwarding Request endpoint","sidebarTitle":"The Forwarding Request endpoint","href":"/2024-04-04/reference/forwarding-requests/overview"},{"title":"Create a Forwarding Request","api":"POST /forwarding_requests","href":"/2024-04-04/reference/forwarding-requests/create"},{"title":"Retrieve a Forwarding Request","api":"GET /forwarding_requests/{freq_id}","href":"/2024-04-04/reference/forwarding-requests/retrieve"}]},{"group":"Health Check","pages":[{"title":"Perform a Health Check","api":"GET /ping","href":"/2024-04-04/reference/health-check"}]}]}]},{"tab":"Opal","pages":[{"title":"Opal","href":"/opal/overview"}]},{"tab":"Elements","pages":[{"title":"Elements","href":"/elements/events/overview"}]},{"tab":"Libraries","pages":[{"title":"Libraries","href":"/libraries/overview"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/2026/october"}]}]}]},"basePath":"","title":"Retrieve Method Public Key - Method API Docs","buildId":"dpl_77Hw7ZuAABM8E3WMbYAf2ohQCr3v","deploymentId":"dpl_77Hw7ZuAABM8E3WMbYAf2ohQCr3v","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CVpqyvFO.js","utils-vpweLD0v.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BIOodqb0.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B1LM3qmu.js","snippetPresets-C5xK0GtN.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CCsxLnQl.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C2-WKG22.js","shallow-SdoLUC-q.js","getApiPlaygroundDisplay-BnI8L2hB.js","CodeSnippet-D5M8NCHI.js","CodeSnippets-CXRO8Uom.js","Page-CN9QbZiA.js","getPastedJson-CrfHEdRt.js","icon-Cr8AyUnW.js","MethodPill-J_Cs0kNw.js","DuplicateIcon-DrMboxGw.js","createIcon-B4CIWVbU.js","DynamicMarkdown-D9cdbgj9.js","SectionHeading-BO4CouT0.js","axios-vUo_bRtp.js"]}